Page MenuHomePhabricator

Notify editors and users to update their Vector gadgets and user scripts/styles on portal CSS selector simplification
Closed, ResolvedPublic

Description

NOTE: Please feel free to unsubscribe using the button in the top right once you have noted and acted accordingly on this message. Please search the list for your name and any gadgets you maintain to find the pages that may concern you. Note, if you are not technical you can address these issues by blanking or removing the impacted pages in your user namespace provided you don't use them. If you do please reach out to the user that provided them for guidance on how to fix. For notifications around future breaking changes to gadgets please subscribe to Project:Tech news

Over-qualified CSS selectors of portals in Wikimedia skins are going to changed as part of T66477: Vector: Use semantic HTML5 elements where applicable. This is so the skins can use HTML5 elements.

Related: T252447: Notify gadget users to update Vector scripts and styles

Migration notice

This only impacts the Vector skin. Other skins are not impacted.

Any of the following selectors

    • div#p-personal,
    • div#p-navigation,
    • div#p-interaction,
    • div#p-tb,
    • div#p-cactions
    • div#p-lang,
    • div#p-namespaces or
    • div#p-variants
  • div#footer

have the div qualifier removed, resulting in

    • #p-personal,
    • #p-navigation,
    • #p-interaction,
    • #p-tb,
    • #p-cactions
    • #p-lang,
    • #p-namespaces or
    • #p-variants
  • #footer

If your gadgets or user styles uses them you will have to update them.

User notice

For Tech News:
Over-qualified CSS selectors of portals in Wikimedia skins have been changed. <code>div#p-personal</code>, <code>div#p-navigation</code>, <code>div#p-interaction</code>, <code>div#p-tb</code>, <code>div#p-lang</code>, <code>div#p-namespaces</code> or <code>div#p-variants</code> are now all removed of the <code>div</code> qualifier, as in for example it is <code>#p-personal, #p-navigation …</code>. This is so the skins can use HTML5 elements. If your gadgets or user styles used them you will have to update them.

From https://global-search.toolforge.org/?q=div%5C%23p%5C-%28personal%7Cnavigation%7Cinteraction%7Ctb%7Clang%7Cnamespaces%7Cvariants%7Ccactions%29&regex=1&namespaces=2%2C4%2C8&title=.*%5C.%28js%7Ccss%7Cjson%29

Possibly impacted pages (256)

https://als.wikipedia.org/wiki/Benutzer:PsY.cHo/vector.css
https://arc.wikipedia.org/wiki/ܡܝܕܝܐܘܝܩܝ:Common.js/interwiki-lang.js
https://ba.wikipedia.org/wiki/Ҡатнашыусы:Tlusta/vector.css
https://bat-smg.wikipedia.org/wiki/Nauduotuos:Tlustulimu/vector.css
https://commons.wikimedia.org/wiki/User:Enter_a_username_here/common.css
https://commons.wikimedia.org/wiki/User:Kizzlemonster/vector.css
https://commons.wikimedia.org/wiki/User:Mathias_Schindler/vector.js
https://commons.wikimedia.org/wiki/User:OwenBlacker/common.css
https://de.wiktionary.org/wiki/Benutzer:Tlustulimu/vector.css
https://dsb.wikipedia.org/wiki/Wužywaŕ:Tlusta/vector.css
https://en.wikibooks.org/wiki/User:Kogitor/vector.css
https://en.wikibooks.org/wiki/User:Mike.lifeguard/vector.css
https://en.wikibooks.org/wiki/User:Ohwang/common.css
https://en.wikipedia.org/wiki/User:5f6966/common.css
https://en.wikipedia.org/wiki/User:Aaronlbrink/common.css
https://en.wikipedia.org/wiki/User:Alopatindev/common.css
https://en.wikipedia.org/wiki/User:Alopatindev/vector.css
https://en.wikipedia.org/wiki/User:Anosmic_horizon/vector.css
https://en.wikipedia.org/wiki/User:Apmechev/common.css
https://en.wikipedia.org/wiki/User:Aristophanes68/vector.css
https://en.wikipedia.org/wiki/User:Arlen22/vector.css
https://en.wikipedia.org/wiki/User:Art_Klang/vector.css
https://en.wikipedia.org/wiki/User:Brainmachine/vector.css
https://en.wikipedia.org/wiki/User:Bullsaw/vector.css
https://en.wikipedia.org/wiki/User:CBragg/vector.css
https://en.wikipedia.org/wiki/User:Charleyramm/common.css
https://en.wikipedia.org/wiki/User:Chieftain_Alex/common.css
https://en.wikipedia.org/wiki/User:Ciup/standard.css
https://en.wikipedia.org/wiki/User:Connor_Palmer/vector.css
https://en.wikipedia.org/wiki/User:CristianMoisei/vector.css
https://en.wikipedia.org/wiki/User:Darkbackground/common.css
https://en.wikipedia.org/wiki/User:DavRosen/SidebarReorderTranslate.js
https://en.wikipedia.org/wiki/User:Davecan/common.css
https://en.wikipedia.org/wiki/User:DemonicPartyHat/common.css
https://en.wikipedia.org/wiki/User:Dibyendutwipzbiswas/common.css
https://en.wikipedia.org/wiki/User:Drewmutt/common.css
https://en.wikipedia.org/wiki/User:Dross/common.css
https://en.wikipedia.org/wiki/User:Duodecagon/vector.css
https://en.wikipedia.org/wiki/User:Eguama/common.css
https://en.wikipedia.org/wiki/User:Enter_a_username_here/common.css
https://en.wikipedia.org/wiki/User:FRANKOFURANKO/common.css
https://en.wikipedia.org/wiki/User:FVDE88/common.css
https://en.wikipedia.org/wiki/User:Fluffernutter/common.css
https://en.wikipedia.org/wiki/User:FunkMastaZ/vector.css
https://en.wikipedia.org/wiki/User:G2.0_USA/cherrypedia.css
https://en.wikipedia.org/wiki/User:Guerillero/common.css
https://en.wikipedia.org/wiki/User:Habithki/vector.css
https://en.wikipedia.org/wiki/User:Heds/vector.css
https://en.wikipedia.org/wiki/User:HenryNugraha/vector.css
https://en.wikipedia.org/wiki/User:HiB2Bornot2B/vector.css
https://en.wikipedia.org/wiki/User:Hwndu/vector.css
https://en.wikipedia.org/wiki/User:Iamchenzetian/common.js
https://en.wikipedia.org/wiki/User:In_actu/common.css
https://en.wikipedia.org/wiki/User:Jasonzhuocn/test.js
https://en.wikipedia.org/wiki/User:Jay8g/common.css
https://en.wikipedia.org/wiki/User:Jaybear/common.css
https://en.wikipedia.org/wiki/User:Jensei/common.css
https://en.wikipedia.org/wiki/User:Jjmarm/vector.css
https://en.wikipedia.org/wiki/User:Jjmarm/vector.js
https://en.wikipedia.org/wiki/User:K2323/vector.css
https://en.wikipedia.org/wiki/User:KeyZi/vector.css
https://en.wikipedia.org/wiki/User:Kogitor/vector.css
https://en.wikipedia.org/wiki/User:Kossmoboleat/vector.css
https://en.wikipedia.org/wiki/User:Krisasa/common.css
https://en.wikipedia.org/wiki/User:LFaraone/vector.css
https://en.wikipedia.org/wiki/User:Lemmiwinks2/vector.css
https://en.wikipedia.org/wiki/User:Lhc70000/common.css
https://en.wikipedia.org/wiki/User:Loading_Offifial/common.css
https://en.wikipedia.org/wiki/User:Loading_Offifial/common.js
https://en.wikipedia.org/wiki/User:LovelyA72/common.css
https://en.wikipedia.org/wiki/User:Lynxtronix/vector.css
https://en.wikipedia.org/wiki/User:M.herzinger/vector.css
https://en.wikipedia.org/wiki/User:MTopy/vector.js
https://en.wikipedia.org/wiki/User:Macquarius/common.css
https://en.wikipedia.org/wiki/User:Mandarax/common.css
https://en.wikipedia.org/wiki/User:MarPan/vector.css
https://en.wikipedia.org/wiki/User:Matthias_Fauconneau/common.css
https://en.wikipedia.org/wiki/User:Merphant/standard.css
https://en.wikipedia.org/wiki/User:Miss_Bono/vector.css
https://en.wikipedia.org/wiki/User:Msaad20098/vector.css
https://en.wikipedia.org/wiki/User:Mtorolite/vector.css
https://en.wikipedia.org/wiki/User:NJAldwin/vector.css
https://en.wikipedia.org/wiki/User:NOrbeck/common.css
https://en.wikipedia.org/wiki/User:Neetij/vector.css
https://en.wikipedia.org/wiki/User:Nsmyth07/common.css
https://en.wikipedia.org/wiki/User:Ohconfucius/vector.css
https://en.wikipedia.org/wiki/User:Ohwang/common.css
https://en.wikipedia.org/wiki/User:Owl_order/vector.css
https://en.wikipedia.org/wiki/User:Panosth/common.css
https://en.wikipedia.org/wiki/User:Philipnelson99/common.css
https://en.wikipedia.org/wiki/User:Pranavkak04/common.js
https://en.wikipedia.org/wiki/User:PsY.cHo/vector.css
https://en.wikipedia.org/wiki/User:Rursus/main.css
https://en.wikipedia.org/wiki/User:Rxhl/vector.css
https://en.wikipedia.org/wiki/User:S@lup/common.css
https://en.wikipedia.org/wiki/User:Sage_Ross_(WMF)/vector.css
https://en.wikipedia.org/wiki/User:Sam_de/common.js
https://en.wikipedia.org/wiki/User:Sascha_Claus/vector.css
https://en.wikipedia.org/wiki/User:ScorpiusCRO/common.css
https://en.wikipedia.org/wiki/User:Seddon/common.css
https://en.wikipedia.org/wiki/User:Sheldont22/vector.js
https://en.wikipedia.org/wiki/User:Sksiitb/common.css
https://en.wikipedia.org/wiki/User:Snorbaard/common.css
https://en.wikipedia.org/wiki/User:Snorbaard/vector.css
https://en.wikipedia.org/wiki/User:Soheibm/common.css
https://en.wikipedia.org/wiki/User:Soheibm/vector.css
https://en.wikipedia.org/wiki/User:Sputnikenmeister/vector.css
https://en.wikipedia.org/wiki/User:Svick/DropDownToTabs.js
https://en.wikipedia.org/wiki/User:Taylormoney94/vector.css
https://en.wikipedia.org/wiki/User:Technical_13/common.css
https://en.wikipedia.org/wiki/User:Tehsoon/vector.css
https://en.wikipedia.org/wiki/User:TheDJ/mobileVector.css
https://en.wikipedia.org/wiki/User:The_StrategicTemplar/common.css
https://en.wikipedia.org/wiki/User:Thebest007/common.css
https://en.wikipedia.org/wiki/User:Tizs/common.js
https://en.wikipedia.org/wiki/User:Tormented_Pk_508/common.css
https://en.wikipedia.org/wiki/User:Tothwolf/common.css
https://en.wikipedia.org/wiki/User:Twothirtyeight/common.css
https://en.wikipedia.org/wiki/User:Tywintyrion/vector.css
https://en.wikipedia.org/wiki/User:Unyonotachi/vector.css
https://en.wikipedia.org/wiki/User:User88971653/common.css
https://en.wikipedia.org/wiki/User:Ustimenko.Alexander/common.css
https://en.wikipedia.org/wiki/User:Vishnudasa108/vector.css
https://en.wikipedia.org/wiki/User:VladimirPutinMyYeezy'sOn/vector.css
https://en.wikipedia.org/wiki/User:Wasell_vr/chick.css
https://en.wikipedia.org/wiki/User:Wekeepwhatwekill/dark_test.css
https://en.wikipedia.org/wiki/User:Wikiloop/vector.css
https://en.wikipedia.org/wiki/User:Wilf6/vector.css
https://en.wikipedia.org/wiki/User:Wrongusername/vector.css
https://en.wikipedia.org/wiki/User:Yrro/vector.css
https://en.wikipedia.org/wiki/User:ZH_djong/vector.css
https://en.wikipedia.org/wiki/User:Zhelja/common.css
https://en.wikipedia.org/wiki/User:Zhelja/common.js
https://en.wikipedia.org/wiki/User:Zpmorgan/common.css
https://en.wikipedia.org/wiki/User:セイちゃん/vector.css
https://en.wikisource.org/wiki/User:Dagon1846/common.css
https://en.wikisource.org/wiki/User:Hesperian/common.css
https://en.wikiversity.org/wiki/User:Thrice43/vector.js
https://en.wikivoyage.org/wiki/User:Danapit/common.css
https://en.wikivoyage.org/wiki/User:Nicholasjf21/common.css
https://en.wikivoyage.org/wiki/User:Texugo/common.css
https://en.wikivoyage.org/wiki/User:TheGallery/common.css
https://en.wiktionary.org/wiki/User:Ortemis/common.css
https://en.wiktionary.org/wiki/User:So9q/DarkMonoBook.css
https://en.wiktionary.org/wiki/User:Wrongusername/vector.css
https://eo.wikipedia.org/wiki/Uzanto:ArnoLagrange/vector.css
https://eo.wikisource.org/wiki/Uzanto:Tlustulimu/vector.css
https://es.wikipedia.org/wiki/Usuario:Eduardo_P/vector.css
https://es.wikipedia.org/wiki/Usuario:M.herzinger/vector.css
https://es.wikivoyage.org/wiki/Usuario:Razr_Nation/common.css
https://fi.wikipedia.org/wiki/Käyttäjä:Hauntingnut/vector.css
https://fi.wikipedia.org/wiki/Käyttäjä:RicHard-59/vector.css
https://fr.wikisource.org/wiki/Utilisateur:DeirdreAnne/common.js
https://fr.wikisource.org/wiki/Utilisateur:S@lup/common.css
https://gl.wikipedia.org/wiki/Usuario:He7d3r/common.css
https://he.wikipedia.org/wiki/מדיה_ויקי:Common.js/interwiki-lang.js
https://he.wikipedia.org/wiki/משתמש:Ofekalef/common.js/Reply.js
https://hi.wikipedia.org/wiki/सदस्य:Jayprakash12345/74163.user.js
https://hr.wikipedia.org/wiki/Suradnik:ScorpiusCRO/common.css
https://hsb.wikipedia.org/wiki/Wužiwar:Tlusta/vector.css
https://hsb.wiktionary.org/wiki/Wužiwar:Tlustulimu/vector.css
https://incubator.wikimedia.org/wiki/User:Alluk./common.css
https://it.wikipedia.org/wiki/Utente:PsY.cHo/vector.css
https://ja.wikipedia.org/wiki/利用者:Atmark-chan/custom/FixedHeader.js
https://meta.wikimedia.org/wiki/User:1989/global.css
https://meta.wikimedia.org/wiki/User:Aeternal_Fire/global.css
https://meta.wikimedia.org/wiki/User:Amsoir/global.css
https://meta.wikimedia.org/wiki/User:Augustwollter/global.css
https://meta.wikimedia.org/wiki/User:Be..anyone/global.css
https://meta.wikimedia.org/wiki/User:Benh/global.js
https://meta.wikimedia.org/wiki/User:C-VII/global.css
https://meta.wikimedia.org/wiki/User:DemonicPartyHat/common.css
https://meta.wikimedia.org/wiki/User:DemonicPartyHat/global.css
https://meta.wikimedia.org/wiki/User:Ducksper/global.css
https://meta.wikimedia.org/wiki/User:Grawiton/global.js
https://meta.wikimedia.org/wiki/User:Hifumi-g/global.css
https://meta.wikimedia.org/wiki/User:J_ansari/globle.css
https://meta.wikimedia.org/wiki/User:Jafeluv/global.css
https://meta.wikimedia.org/wiki/User:JakeWi/global.css
https://meta.wikimedia.org/wiki/User:Kamma/global.css
https://meta.wikimedia.org/wiki/User:KeyZi/global.css
https://meta.wikimedia.org/wiki/User:Khaled_Hatem/custom_sidebar.js
https://meta.wikimedia.org/wiki/User:Krejcar25/global.css
https://meta.wikimedia.org/wiki/User:Mobydoby/common.css
https://meta.wikimedia.org/wiki/User:Noggingift/global.css
https://meta.wikimedia.org/wiki/User:Raphoraph/global.js
https://meta.wikimedia.org/wiki/User:Rxhl/global.css
https://meta.wikimedia.org/wiki/User:Rxy/custom_sidebar.js
https://meta.wikimedia.org/wiki/User:SSorrell/global.css
https://meta.wikimedia.org/wiki/User:Soheibm/global.css
https://meta.wikimedia.org/wiki/User:Tlusta/global.css
https://meta.wikimedia.org/wiki/User:Tlustulimu/global.css
https://meta.wikimedia.org/wiki/User:कला.घोडा/global.js
https://mk.wikipedia.org/wiki/Корисник:Tlustulimu/vector.css
https://no.wikipedia.org/wiki/Bruker:Jeblad/Gadget-worklist.css
https://no.wikisource.org/wiki/Bruker:Anjar/vector.css
https://nv.wikipedia.org/wiki/Choyoołʼįįhí:Tlustulimu/vector.css
https://pl.wikipedia.org/wiki/Wikipedysta:Miugiel/common.css
https://pl.wikipedia.org/wiki/Wikipedysta:Miugiel/vector.css
https://pl.wikipedia.org/wiki/Wikipedysta:Nux/hideSidebar.dev.js
https://pl.wikipedia.org/wiki/Wikipedysta:Nux/hideSidebar.js
https://pl.wikipedia.org/wiki/Wikipedysta:Wostr/vector.css
https://rm.wikipedia.org/wiki/Utilisader:PsY.cHo/vector.css
https://ru.wikipedia.org/wiki/Участник:Alopatindev/vector.css
https://ru.wikipedia.org/wiki/Участник:Exsabuta/common.css
https://ru.wikipedia.org/wiki/Участник:Frolsv/vector.css
https://ru.wikipedia.org/wiki/Участник:Jaybear/common.css
https://ru.wikipedia.org/wiki/Участник:Kavieievdimitry/common.css
https://ru.wikipedia.org/wiki/Участник:Sozertsatel/common.css
https://ru.wikipedia.org/wiki/Участник:TanatOS/common.css
https://ru.wikipedia.org/wiki/Участник:Ustimenko.Alexander/common.css
https://ru.wikipedia.org/wiki/Участник:Zergut/vector.css
https://simple.wikipedia.org/wiki/User:Jaybear/common.css
https://simple.wikipedia.org/wiki/User:SEPTActaMTA8235/DropDownToTabs.js
https://simple.wikipedia.org/wiki/User:Thesevenseas/common.css
https://sv.wikipedia.org/wiki/Användare:Tetraedycal/vector.css
https://sv.wikipedia.org/wiki/Användare:Vivo/common.css
https://sv.wikipedia.org/wiki/Användare:Wasell_vr/chick.css
https://ta.wikibooks.org/wiki/பயனர்:Shrikarsan/common.css
https://ta.wiktionary.org/wiki/மீடியாவிக்கி:Gadget-Blackskin.css
https://test.wikipedia.org/wiki/User:Fran_Rogers/vector.css
https://test2.wikipedia.org/wiki/User:Œ̷͠²ð·¨´´̢́̕͘³͏¯̞̗/vector.css
https://th.wikibooks.org/wiki/มีเดียวิกิ:Gadget-Blackskin.css
https://th.wikiquote.org/wiki/มีเดียวิกิ:Gadget-Blackskin.css
https://th.wikisource.org/wiki/มีเดียวิกิ:Gadget-Blackskin.css
https://uk.wikipedia.org/wiki/Користувач:TanatOS/common.css
https://vi.wikipedia.org/wiki/Thành_viên:Vinhtantran/vector.css
https://war.wikipedia.org/wiki/Gumaramit:Tlustulimu/vector.css
https://www.mediawiki.org/wiki/User:Makcmus/common.css
https://www.mediawiki.org/wiki/User:Scientistmohamed/common.css
https://zh-classical.wikipedia.org/wiki/用戶:Rowingbohe/common.js
https://zh.wikipedia.org/wiki/User:94135354/patrollCount.js
https://zh.wikipedia.org/wiki/User:A1Cafel/common.js
https://zh.wikipedia.org/wiki/User:Bubbleioa/common.css
https://zh.wikipedia.org/wiki/User:Catherine_Laurence/NewpageCount.js
https://zh.wikipedia.org/wiki/User:DGideas/common.js
https://zh.wikipedia.org/wiki/User:Doraencyclopedia/common.js
https://zh.wikipedia.org/wiki/User:Ericliu1912/patrolcount.js
https://zh.wikipedia.org/wiki/User:Good_afternoon/patrollCount.js
https://zh.wikipedia.org/wiki/User:Hendrickzhang/patrollCount.js
https://zh.wikipedia.org/wiki/User:Iamchenzetian/common.js
https://zh.wikipedia.org/wiki/User:Kc_kennylau/PatrollCount.js
https://zh.wikipedia.org/wiki/User:Kovl/selfportal/代码库/patrollCount.js
https://zh.wikipedia.org/wiki/User:Lhc70000/common.css
https://zh.wikipedia.org/wiki/User:Nekobao/vector.css
https://zh.wikipedia.org/wiki/User:Peter_Yeung/common.js
https://zh.wikipedia.org/wiki/User:The_powder_toy/patrollCount.js
https://zh.wikipedia.org/wiki/User:Tommyang/common.css
https://zh.wikipedia.org/wiki/User:WhitePhosphorus/common.css
https://zh.wikipedia.org/wiki/User:Wi24rd/patrollCount.js
https://zh.wikipedia.org/wiki/User:WilliamSkyWalk/common.js
https://zh.wikipedia.org/wiki/User:Xiaodiao2232/Scripts/patrollCount.js
https://zh.wikipedia.org/wiki/User:Zhangjintao/common.js
https://zh.wikipedia.org/wiki/User:小北很酷/common.css
https://zh.wikipedia.org/wiki/User:杰里毛斯/common.css
https://zh.wikipedia.org/wiki/User:莫一多/vector.css

Impacted site CSS 3

https://am.wikimedia.org/wiki/MediaWiki:Common.js
https://incubator.wikimedia.org/wiki/MediaWiki:Wy/eu/Common.css
https://test.wikipedia.org/wiki/MediaWiki:Gadget-InterProjectLinks.css
https://test.wikipedia.org/wiki/MediaWiki:Gadget-WikipediaRedefined.css

Users (210)

@1989 @5f6966 @94135354 @A1Cafel @Aaronlbrink @Aeternal_Fire @Alluk @Alopatindev @Amsoir @Anjar @Anosmic_horizon @Apmechev @Aristophanes68 @Arlen22 @ArnoLagrange @Art_Klang @Atmark-chan @Augustwollter @Be @Benh @Brainmachine @Bubbleioa @Bullsaw @C-VII @CBragg @Catherine_Laurence @Charleyramm @Chieftain_Alex @Ciup @Common @Connor_Palmer @CristianMoisei @DGideas @Dagon1846 @Danapit @Darkbackground @DavRosen @Davecan @DeirdreAnne @DemonicPartyHat @Dibyendutwipzbiswas @Doraencyclopedia @Drewmutt @Dross @Ducksper @Duodecagon @Eduardo_P @Eguama @Enter_a_username_here @Ericliu1912 @Exsabuta @FRANKOFURANKO @FVDE88 @Fluffernutter @Fran_Rogers @Frolsv @FunkMastaZ @G2 @Good_afternoon @Grawiton @Guerillero @Habithki @Hauntingnut @He7d3r @Heds @Hendrickzhang @HenryNugraha @Hesperian @HiB2Bornot2B @Hifumi-g @Hwndu @Iamchenzetian @In_actu @J_ansari @Jafeluv @JakeWi @Jasonzhuocn @Jay8g @Jaybear @Jayprakash12345 @Jeblad @Jensei @Jjmarm @K2323 @Kamma @Kavieievdimitry @Kc_kennylau @KeyZi @Khaled_Hatem @Kizzlemonster @Kogitor @Kossmoboleat @Kovl @Krejcar25 @Krisasa @LFaraone @Lemmiwinks2 @Lhc70000 @Loading_Offifial @LovelyA72 @Lynxtronix @M @MTopy @Macquarius @Makcmus @Mandarax @MarPan @Mathias_Schindler @Matthias_Fauconneau @Merphant @Mike @Miss_Bono @Miugiel @Mobydoby @Msaad20098 @Mtorolite @NJAldwin @NOrbeck @Neetij @Nekobao @Nicholasjf21 @Noggingift @Nsmyth07 @Nux @Ofekalef @Ohconfucius @Ohwang @Ortemis @OwenBlacker @Owl_order @Panosth @Peter_Yeung @Philipnelson99 @Pranavkak04 @PsY @Raphoraph @Razr_Nation @RicHard-59 @Rowingbohe @Rursus @Rxhl @Rxy @Rzuwig @S@lup @SEPTActaMTA8235 @SSorrell @Sage_Ross_(WMF) @Sam_de @Sascha_Claus @Scientistmohamed @ScorpiusCRO @Seddon @Sheldont22 @Shrikarsan @Sksiitb @Snorbaard @So9q @Soheibm @Sozertsatel @Sputnikenmeister @Svick @TanatOS @Taylormoney94 @Technical_13 @Tehsoon @Tetraedycal @Texugo @TheDJ @TheGallery @The_StrategicTemplar @The_powder_toy @Thebest007 @Thesevenseas @Thrice43 @Tizs @Tlusta @Tlustulimu @Tommyang @Tormented_Pk_508 @Tothwolf @Twothirtyeight @Tywintyrion @Unyonotachi @User88971653 @Ustimenko @Vinhtantran @Vishnudasa108 @Vivo @VladimirPutinMyYeezy'sOn @Wasell_vr @Wekeepwhatwekill @WhitePhosphorus @Wi24rd @Wikiloop @Wilf6 @WilliamSkyWalk @Wostr @Wrongusername @Xiaodiao2232 @Yrro @ZH_djong @Zergut @Zhangjintao @Zhelja @Zpmorgan @Œ̷͠²ð·¨´´̢́̕͘³͏¯̞̗ @कला @セイちゃん @小北很酷 @杰里毛斯 @莫一多

Related Objects

StatusSubtypeAssignedTask
ResolvedGoalovasileva
OpenNone
Resolvedovasileva
ResolvedSpikeovasileva
ResolvedSpikephuedx
Resolvedovasileva
OpenSpikeNone
ResolvedSpikeovasileva
Resolvedovasileva
ResolvedBUG REPORTmatmarex
Resolvedovasileva
ResolvedJdlrobson
Resolvedphuedx
Resolvednray
ResolvedMayakp.wiki
ResolvedMayakp.wiki
Stalledovasileva
OpenNone
ResolvedEdtadros
OpenNone
OpenNone
OpenNone
DuplicateNone
ResolvedNone
Resolvedovasileva
Resolvedsgrabarczuk

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Trizek removed a subscriber: Trizek.May 12 2020, 3:59 PM
Stepro removed a subscriber: Stepro.May 12 2020, 4:08 PM

For completeness, the communication effort being proposed is in https://phabricator.wikimedia.org/T252467 and using the URIs you've given me. The list of impacted pages is reduced when you export the CSV file and filter out all the non-Vector skin files.

I've only checked for one of the user scripts from my link ("User:Inductiveload/quick access.js") and it seems it is not in the list above.

SCIdude removed a subscriber: SCIdude.May 12 2020, 5:14 PM
From the task description

have the div qualifier removed

Selectors like [role=navigation] and div[role="navigation"] were also no longer supported. Although role=contentinfo and role=main were kept.

Gary removed a subscriber: Gary.May 12 2020, 5:32 PM
Jdlrobson updated the task description. (Show Details)May 12 2020, 6:01 PM
Elya removed a subscriber: Elya.May 12 2020, 6:17 PM
Jdlrobson updated the task description. (Show Details)May 12 2020, 6:36 PM
Thai removed a subscriber: Thai.May 12 2020, 6:36 PM
Steef389 removed a subscriber: Steef389.May 12 2020, 6:37 PM
Boivie removed a subscriber: Boivie.May 12 2020, 6:58 PM
Valth001 removed a subscriber: Valth001.May 13 2020, 3:58 AM
LS removed a subscriber: LS.May 13 2020, 6:45 AM
Nux removed a subscriber: Nux.May 13 2020, 4:53 PM
Nux added a comment.May 13 2020, 5:09 PM

That don't seem to be affected
https://pl.wikipedia.org/wiki/MediaWiki:Gadget-Blackskin.css

Not sure why was it listed. It doesn't even contain div#p-.

Am I correct to assume that below is a RegExp to test scripts/styles for problems?

div#p-(personal|navigation|interaction|tb|lang|namespaces|variants)
Lozman removed a subscriber: Lozman.May 13 2020, 5:13 PM
Jdlrobson updated the task description. (Show Details)May 13 2020, 6:12 PM
Jdlrobson added a subscriber: Nux.

That don't seem to be affected
https://pl.wikipedia.org/wiki/MediaWiki:Gadget-Blackskin.css

Not sure why was it listed. It doesn't even contain div#p-.

Am I correct to assume that below is a RegExp to test scripts/styles for problems?

div#p-(personal|navigation|interaction|tb|lang|namespaces|variants)

Thanks for checking - the reg ex is `div#p-(personal|navigation|interaction|tb|lang|namespaces|variants|footer)

That file uses div#footer so needs to be updated to #footer.

Jdlrobson removed a subscriber: Nux.May 13 2020, 6:12 PM
DR removed a subscriber: DR.May 13 2020, 6:45 PM

Removed most of the subscribers. Subscribing hundreds of people is not an appropriate way to notify them, and having everyone notified about every comment and change here is basically spam. Frankly, I'm surprised Phabricator even allowed that. It really shouldn't, IMO.

Thanks for the feedback @Yair_rand I had not realised the default notification was to notify about every comment. I've made a note for this for future and thanks for unsubscribing everyone to stop that.

@Jdlrobson One potential solution in a situation like this, when you've already got a list of affected users and would like them to know, would be to use MassMessage to ping them on their talk page on-wiki. That way, you'll reach people even if they don't have a Phab account and they'll just get a – to them, relevant – ping once, instead of being subscribed to the ticket.

Yep, I think next time this happens I am going to use a wiki page rather than Phabricator to get the notifications out (assuming Echo can handle that amount of notifications). Otherwise yes MassMessage sounds like the way to go!

Added to Tech/News/2020/21 to be distributed on Monday.

Jdlrobson moved this task from Needs triage to Menus on the Vector board.May 15 2020, 4:58 PM
MusikAnimal updated the task description. (Show Details)May 15 2020, 8:24 PM
Elitre triaged this task as High priority.
Jar added a subscriber: Jar.May 18 2020, 6:48 PM
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptMay 18 2020, 6:48 PM

Two quick questions:

Jdlrobson updated the task description. (Show Details)May 19 2020, 3:09 PM

@Amorymeltzer thanks for the questions!The regex was updated and div#content is not included. The new patch only applies to the currently incubating new Vector which will be optin to begin with. div#content will need to be updated to main#content in future but that is not a pressing concern right now as it can be done as part of the opt in process.

Thanks for flagging div#p-cactions that should have been mentioned - I have added!

Sorry, I missed the reversion and conversation thereof. Presumably inclusion of cactions would change the list of pages needing updating, whenever it goes through?

Jdlrobson updated the task description. (Show Details)May 20 2020, 5:27 PM

I reran the query and made it clearer where the data comes from @Amorymeltzer. Thanks for flagging the p-cactions note!

Jdlrobson updated the task description. (Show Details)May 26 2020, 4:26 PM
Jdlrobson updated the task description. (Show Details)Jun 5 2020, 6:52 PM
Jdlrobson updated the task description. (Show Details)Jun 5 2020, 7:27 PM
Jdlrobson added subscribers: Ladsgroup, bd808.

down from 291 to 261 pages managed by 214 users.

@bd808 I need your help updating https://wikitech.wikimedia.org/wiki/MediaWiki:Gadget-mobileVectorBase.css
@Ladsgroup could you help with https://am.wikimedia.org/w/index.php?title=MediaWiki:Common.js ?

@Johan would you be able to help me mass message the 214 users to alert them to this notice? I'd love to push ahead with the technical change next week given the low amount of impacted pages.

bd808 removed a subscriber: bd808.Jun 5 2020, 7:57 PM

Sure but it's only in the comment, Am I missing something obvious?

Sure but it's only in the comment, Am I missing something obvious?

Whoops I didn't check the content :) If you can remove it it won't come up in the search as a false positive.

Johan added a comment.Jun 8 2020, 12:27 PM

Sent a short message to all users mentioned, targeting their Meta user talk pages.

Thank you @Johan - I really appreciate it!

jeblad added a comment.Jun 8 2020, 3:10 PM

Got the message from Johan about my own use of over-qualified selectors.

Over-qualified selectors are used many places to override selectors used in global stylesheets. It is not easy to avoid use of over-qualified selectors if selectors in the global stylesheets already use full qualification. As I recall from messing around with the gadgets, some selectors are more or less impossible to implement without over-qualification.

Without relaxing selectors in global stylesheets this change should not be enforced upon gadgets or personal stylesheets as it will break the expected behavior.

Over-qualified selectors are used many places to override selectors used in global stylesheets. It is not easy to avoid use of over-qualified selectors if selectors in the global stylesheets already use full qualification.

@jeblad the particular issue here is we'll be changing to HTML5 semantic elements for the impacted elements. It's not about enforcing any rules around the rules themselves being overqualified. div#footer for example will no longer match div#footer next week but will match footer#footer. The instructions here were kept as simple as possible.

Nux added a comment.Jun 8 2020, 10:48 PM

Hi. There are still some false positives.

I got a message on meta wiki. But none of my script match this regexp:
div#(p-(personal|navigation|interaction|tb|lang|namespaces|variants)|footer)

For example this is still listed and doesn't match:
https://pl.wikipedia.org/wiki/Wikipedysta:Nux/hideSidebar.dev.js

Jdlrobson added a subscriber: Nux.Jun 8 2020, 11:05 PM

Hi. There are still some false positives.

I got a message on meta wiki. But none of my script match this regexp:
div#(p-(personal|navigation|interaction|tb|lang|namespaces|variants)|footer)

For example this is still listed and doesn't match:
https://pl.wikipedia.org/wiki/Wikipedysta:Nux/hideSidebar.dev.js

@Nux that seems to match because of this code:

		,'div#p-cactions' : 'left: 0px;'
			,'div#p-cactions a:hover' : 'position:relative !important; z-index:101 !important;'

However this code is specific to Monobook, but the regex doesn't have that additional context.

Replacing that with

		,'#p-cactions' : 'left: 0px;'
			,'#p-cactions a:hover' : 'position:relative !important; z-index:101 !important;'

won't hurt.

Krinkle updated the task description. (Show Details)EditedJun 9 2020, 12:34 AM
Krinkle updated the task description. (Show Details)

Removed apparent duplicate urls, wasn't clear what the intent was there. Feel free to undo. I note that the first URL was the only one not escaping the - and thus was broken.

I've also restored the title pattern filter, which reduces results from 1,729 to 612.

@Jdlrobson What is the 261 number based on? Is that excluding [mM]onobook? Or more?

Krinkle updated the task description. (Show Details)Jun 9 2020, 12:41 AM

Perhaps a better description should be written?

Over-qualified selectors are used many places to override selectors used in global stylesheets. It is not easy to avoid use of over-qualified selectors if selectors in the global stylesheets already use full qualification.

@jeblad the particular issue here is we'll be changing to HTML5 semantic elements for the impacted elements. It's not about enforcing any rules around the rules themselves being overqualified.

From the description of the task: “Over-qualified CSS selectors of portals in Wikimedia skins are going to changed…”

Jdlrobson updated the task description. (Show Details)Jun 9 2020, 8:37 PM
Jdlrobson updated the task description. (Show Details)Jun 9 2020, 8:40 PM
Jdlrobson added a subscriber: Krinkle.

Removed apparent duplicate urls, wasn't clear what the intent was there. Feel free to undo. I note that the first URL was the only one not escaping the - and thus was broken.

I've also restored the title pattern filter, which reduces results from 1,729 to 612.

@Jdlrobson What is the 261 number based on? Is that excluding [mM]onobook? Or more?

I have a script which filters the results based on name. It filters out the following:

(
    name.indexOf('.css') > -1 ||
    name.indexOf('.js') > -1
) &&
name.indexOf(':monobook') === -1 &&
name.indexOf(':simple') === -1 &&
name.indexOf(':myskin') === -1 &&
name.indexOf(':chick') === -1 &&
name.indexOf('/monobook') === -1 &&
name.indexOf('/cologneblue') === -1 &&
name.indexOf('/modern') === -1 &&
name.indexOf('/timeless') === -1 &&
name.indexOf('/myskin') === -1 &&
name.indexOf('/simple') === -1 &&
name.indexOf('/minerva') === -1
Jdlrobson updated the task description. (Show Details)Jun 9 2020, 8:42 PM

Over-qualified selectors are used many places to override selectors used in global stylesheets. It is not easy to avoid use of over-qualified selectors if selectors in the global stylesheets already use full qualification. As I recall from messing around with the gadgets, some selectors are more or less impossible to implement without over-qualification.

Without relaxing selectors in global stylesheets this change should not be enforced upon gadgets or personal stylesheets as it will break the expected behavior.

We've taken care of all Wikimedia deployed software to reduce specificity, see for example on Vector over last couple of months. As user styles come in last, you should normally be able to address with normal selector.
I've additionally added a section to MediaWiki CSS guidelines on specificity.

Demian updated the task description. (Show Details)Jun 23 2020, 4:16 PM

Enwikinauts are reporting https://test.wikipedia.org/wiki/Main_Page shows this:

This is caused by the overqualified selector on https://test.wikipedia.org/wiki/MediaWiki_talk:Gadget-InterProjectLinks.css

CC @Rzuwig, the last and only editor of that page.
The selector #mw-panel div.portal div.body ul li.wb-otherproject-link is overqualified. div.portal is now a nav.

Could you change the selector to an even simpler as proposed by @JohanahoJ in https://test.wikipedia.org/wiki/MediaWiki_talk:Gadget-InterProjectLinks.css?

Jdlrobson closed this task as Resolved.Sep 21 2020, 6:19 PM